# H4502_CTSetupArg Class Reference

`#include <h4502.h>`

Inheritance diagram for H4502_CTSetupArg:

List of all members.

## Public Types

enum | OptionalFields { e_transferringNumber, e_argumentExtension }

## Public Member Functions

| H4502_CTSetupArg (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4502_CallIdentity | m_callIdentity
H4501_EndpointAddress | m_transferringNumber
H4502_CTSetupArg_argumentExtension | m_argumentExtension

## Member Enumeration Documentation

enum H4502_CTSetupArg::OptionalFields

Enumerator:

  e_transferringNumber |
  e_argumentExtension |

## Constructor & Destructor Documentation

H4502_CTSetupArg::H4502_CTSetupArg | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4502_CTSetupArg::GetDataLength | ( |  | ) | const

PBoolean H4502_CTSetupArg::Decode | ( | PASN_Stream & | strm | ) |

void H4502_CTSetupArg::Encode | ( | PASN_Stream & | strm | ) | const

void H4502_CTSetupArg::PrintOn | ( | ostream & | strm | ) | const

Comparison H4502_CTSetupArg::Compare | ( | const PObject & | obj | ) | const

PObject* H4502_CTSetupArg::Clone | ( |  | ) | const

## Member Data Documentation

H4502_CallIdentity H4502_CTSetupArg::m_callIdentity

H4501_EndpointAddress H4502_CTSetupArg::m_transferringNumber

H4502_CTSetupArg_argumentExtension H4502_CTSetupArg::m_argumentExtension

The documentation for this class was generated from the following file:

- h4502.h